#!/usr/bin/perl

# Start script for genome wide Allegro scan , chromosome by chromosome 
# (c) 2004 Franz Rueschendorf 

# usage: perl allegro_start.pl [weightsfile]

use Cwd;
use strict;

my $weights="equal";
if ($ARGV[0] =~ "^weights" ) { $weights=$ARGV[0];}

# foreach my $chr ("01"){

foreach my $chr ("01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24") {
	if ( -d "c$chr") {

		chdir "c${chr}";
		print "Chromosome $chr\n";
		if (-f "allegro.log") {unlink "allegro.log";}
		unlink glob("*_mpt.$chr");

		
		open (OUT,">allegro.in") || die "could not open allegro.in :$!\n";
		print OUT "PREFILE pedin.$chr\n"; 
		print OUT "DATFILE datain.$chr\n";

################ Edit Allegro Options here #############
		if ($weights eq "equal"){
			print OUT "MODEL mpt par het param_mpt.$chr\n";
			print OUT "MODEL mpt exp pairs equal exppairs_equal_mpt.$chr\n";
			print OUT "MODEL mpt lin all equal linall_equal_mpt.$chr\n";
#			print OUT "MODEL mpt exp all equal expall_equal_mpt.$chr\n";
#			print OUT "MODEL mpt lin robdom equal linrobdom_equal_mpt.$chr\n";
#			print OUT "MODEL mpt exp robdom equal exprobdom_equal_mpt.$chr\n";
			print OUT "MODEL mpt exp homoz equal exphomoz_equal_mpt.$chr\n";
#			print OUT "MODEL mpt lin homoz equal linhomoz_equal_mpt.$chr\n";
			print OUT "MAXMEMORY  1200\n";
#			print OUT "Haplotype haplo.$chr ihaplo.$chr founder.$chr inher.$chr\n";
		}
		else { 
			print OUT "MODEL mpt exp pairs weights:$weights exppairs_${weights}_mpt.$chr\n";
			print OUT "MODEL mpt lin all weights:$weights linall_${weights}_mpt.$chr\n";
			print OUT "MODEL mpt exp homoz weights:$weights exphomoz_${weights}_mpt.$chr\n";			
		}
########################################################
		close (OUT);
		system ("allegro allegro.in");
		chdir  ".." ;
	}
}
