#!/usr/bin/perl

# Start script for genome wide Merlin scan, chromosome by chromosome, NO moving window 
# (c) 2004 Franz Rueschendorf 

# usage: merlin_start.pl

use Cwd;
use strict;

my $command="";
my $prog="merlin";

# foreach my $chr ("01"){		# use this line when one or some chromosomes should be calculated

foreach my $chr ("01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22",23,24) {
	if ( -d "c$chr") {
		
		chdir "c${chr}";
		print "Calculate chromosome $chr\n";
		
#		if (-f "merlin.chr") {unlink "merlin.chr";}
#		unlink glob("*.out");
		
		if ($chr == 23) {$prog = "minx";} else {$prog = "merlin";}

		$command = "$prog -d datain.$chr -p pedin.$chr -m merlin_map.$chr --error --quiet --npl > merlin.out";
		system ("$command");
#		$command = "pedwipe -d datain.$chr -p pedin.$chr";
#		system ("$command");
#		$command = "$prog -d wiped.dat -p wiped.ped -m wiped.map -f wiped.freq --quiet --npl --best > wiped.out";
#		system ("$command");
		
		chdir  ".." ;
	}
}
